Bug 1283154 - [neutron] api error while running tempest scenario tests
[neutron] api error while running tempest scenario tests
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron (Show other bugs)
5.0 (RHEL 6)
All Linux
unspecified Severity medium
: ---
: 5.0 (RHEL 6)
Assigned To: lpeer
Ofer Blaut
: Automation, ZStream
Depends On:
  Show dependency treegraph
Reported: 2015-11-18 06:53 EST by Daniel Mellado
Modified: 2016-04-26 11:13 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-12-15 09:04:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1381536 None None None Never

  None (edit)
Description Daniel Mellado 2015-11-18 06:53:46 EST
Description of problem:

While running neutron tempest tests in rhos, there's an occasional server fault error which makes the test fail. Restarting the neutron-server in order to enable debug seems to fix the issue, so this could be related to a race condition on the ddbb.

Version-Release number of selected component (if applicable):

How reproducible:

Run python -m testtools.run tempest.scenario.test_network_basic_ops.TestNetworkBasicOps.test_subnet_details

-eventually- the test would fail and you'll get a server fault as a trace

Actual results:

TRACE neutron.api.v2.resource     "This result object does not return rows. "
TRACE neutron.api.v2.resource DBError: This result object does not return rows. It has been closed automatically.

Expected results:

The test to pass

Additional info:
Might be related to the launchpad bug attached
Comment 1 Miguel Angel Ajo 2015-12-15 05:59:56 EST
Could you provide a more detailed trace (tempest logs + neutron server logs?)
Comment 2 Daniel Mellado 2015-12-15 09:04:10 EST
After running it more than 20 times with the latest puddle I'm unable to reproduce the bug to post the logs, so I'll be closing it for now

Note You need to log in before you can comment on or make changes to this bug.